Bug 414518 - message pane repaints problem
Summary: message pane repaints problem
Status: RESOLVED UPSTREAM
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-26 08:25 UTC by davidblunkett
Modified: 2020-01-15 08:10 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Appearance of message pane (748.36 KB, image/png)
2019-11-26 08:25 UTC, davidblunkett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description davidblunkett 2019-11-26 08:25:02 UTC
Created attachment 124122 [details]
Appearance of message pane

Upon waking up from sleeping the message pane is frequently not repainted properly - it's been like this for ages and ages. Changing message gets it fixed.
Comment 1 Christoph Feck 2019-12-19 15:48:06 UTC
Are you using NVIDIA binary drivers?
Comment 2 davidblunkett 2019-12-24 14:41:52 UTC
Yes - wouldn't be that surprised if it is the problem but it only seems to affect kmail...
Comment 3 Christoph Feck 2019-12-25 03:09:03 UTC
It should affect all OpenGL applications, except those where developers already added driver-specific workarounds. KMail uses OpenGL via QtWebEngine.
Comment 4 Christoph Feck 2020-01-15 08:10:30 UTC
The workaround needs to be made in QtWebEngine, or ideally the NVIDIA driver fixed to not have this issue in the first place.